Is there a way to build Openjdk on a 64-bit Mac OS X 10.6.4?

Arul Dhesiaseelan aruld at acm.org
Sat Oct 9 08:52:39 PDT 2010


If I use soylatte 64-bit verion, I get a different error though.

------------------------------------------------------------------------------------------------------------
cd /Users/aruld/bsd-port/hotspot/make; \
        make VM_TARGET=product1 generic_build1
ALT_OUTPUTDIR=/Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
Makefile:336: target `/Xusage.txt' given more than once in the same rule.
mkdir -p /Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
No compiler1 (product1) for ARCH_DATA_MODEL=64
cd /Users/aruld/bsd-port/hotspot/make; \
        make VM_TARGET=productkernel generic_buildkernel
ALT_OUTPUTDIR=/Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
Makefile:336: target `/Xusage.txt' given more than once in the same rule.
mkdir -p /Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
No kernel (productkernel) for OS_NAME=bsd
cd /Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir; \
            make -f /Users/aruld/bsd-port/hotspot/make/bsd/Makefile \
                       JAVA_HOME=/Users/aruld/soylatte16-amd64-1.0.3
OUTPUTDIR=/Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
GAMMADIR=/Users/aruld/bsd-port/hotspot MAKE_VERBOSE=y
HOTSPOT_RELEASE_VERSION=19.0-b05
JRE_RELEASE_VERSION=1.7.0-internal-arul_2010_10_09_09_40-b00
HOTSPOT_BUILD_VERSION= docs
/Users/aruld/soylatte16-amd64-1.0.3/bin/javap
javax.xml.transform.TransformerFactory > /dev/null 2>&1; \
        if [ $? -ne 0 ]; then \
           /Users/aruld/soylatte16-amd64-1.0.3/bin/java -version; \
          echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
          "to bootstrap this build" 1>&2; \
          exit 1; \
        fi
mkdir -p bsd_amd64_docs
make -f /Users/aruld/bsd-port/hotspot/make/bsd/makefiles/jvmti.make  "
LP64=1 " GAMMADIR=/Users/aruld/bsd-port/hotspot OS_FAMILY=bsd ARCH=x86
BUILDARCH=amd64 LIBARCH=amd64 HOTSPOT_RELEASE_VERSION=19.0-b05
HOTSPOT_BUILD_VERSION=
JRE_RELEASE_VERSION=1.7.0-internal-arul_2010_10_09_09_40-b00
JvmtiOutDir=bsd_amd64_docs jvmtidocs
/Users/aruld/soylatte16-amd64-1.0.3/bin/javac -g -encoding ascii -source 6
-target 6 -d bsd_amd64_docs
/Users/aruld/bsd-port/hotspot/src/share/vm/prims/jvmtiGen.java
Generating bsd_amd64_docs/jvmti.html
/Users/aruld/soylatte16-amd64-1.0.3/bin/java -classpath bsd_amd64_docs
jvmtiGen -IN /Users/aruld/bsd-port/hotspot/src/share/vm/prims/jvmti.xml -XSL
/Users/aruld/bsd-port/hotspot/src/share/vm/prims/jvmti.xsl -OUT
bsd_amd64_docs/jvmti.html
make VM_SUBDIR=product                            generic_export
Makefile:336: target `/Xusage.txt' given more than once in the same rule.
make[3]: *** No rule to make target
`/Users/aruld/bsd-port/build/bsd-amd64/hotspot/import/docs/platform/jvmti/jvmti.html',
needed by `generic_export'.  Stop.
make[2]: *** [export_product] Error 2
make[1]: *** [hotspot-build] Error 2
make: *** [build_product_image] Error 2
[1]+  Done                    rm -rf build.del

testing build: ./build/bsd-amd64/j2sdk-image/bin/java -version

-bash: ./build/bsd-amd64/j2sdk-image/bin/java: No such file or directory


-Arul

On Sat, Oct 9, 2010 at 9:36 AM, Arul Dhesiaseelan <aruld at acm.org> wrote:

> Hi John,
>
> It looks like I went further with Stephen's scripts. But I started getting
> some errors shown below. I am on a 64-bit OSX.
> arul:bsd-port arul$ uname -a
> Darwin aruld 10.4.0 Darwin Kernel Version 10.4.0: Fri Apr 23 18:27:12 PDT
> 2010; root:xnu-1504.7.4~1/RELEASE_X86_64 x86_64
> ------------------------------------------
> All done.
> cd bsd_amd64_compiler2/product && ./test_gamma
> Running a 64-bit JVM is not supported on this platform.
> JAVA_HOME must point to 64bit JDK.
> cd /Users/aruld/bsd-port/hotspot/make; \
>         make VM_TARGET=product1 generic_build1
> ALT_OUTPUTDIR=/Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
> Makefile:336: target `/Xusage.txt' given more than once in the same rule.
> mkdir -p /Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
> No compiler1 (product1) for ARCH_DATA_MODEL=64
> cd /Users/aruld/bsd-port/hotspot/make; \
>         make VM_TARGET=productkernel generic_buildkernel
> ALT_OUTPUTDIR=/Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
> Makefile:336: target `/Xusage.txt' given more than once in the same rule.
> mkdir -p /Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir
> No kernel (productkernel) for OS_NAME=bsd
> cd /Users/aruld/bsd-port/build/bsd-amd64/hotspot/outputdir; \
>             make -f /Users/aruld/bsd-port/hotspot/make/bsd/Makefile \
>                        JAVA_HOME=/Users/aruld/soylatte16-i386-1.0.3
> OUTPUTDIR=/Users/aruld/bsd-port/build/bsd-amd64/h
>  otspot/outputdir GAMMADIR=/Users/aruld/bsd-port/hotspot MAKE_VERBOSE=y
> HOTSPOT_RELEASE_VERSION=19.0-b05 JRE_RELEASE_VERSION=1.7
>  .0-internal-arul_2010_10_09_09_21-b00 HOTSPOT_BUILD_VERSION= docs
> /Users/aruld/soylatte16-i386-1.0.3/bin/javap
> javax.xml.transform.TransformerFactory > /dev/null 2>&1; \
>         if [ $? -ne 0 ]; then \
>            /Users/aruld/soylatte16-i386-1.0.3/bin/java -version; \
>           echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
>           "to bootstrap this build" 1>&2; \
>           exit 1; \
>         fi
> mkdir -p bsd_amd64_docs
> make -f /Users/aruld/bsd-port/hotspot/make/bsd/makefiles/jvmti.make  "
> LP64=1 " GAMMADIR=/Users/aruld/bsd-port/hotspo                    t
> OS_FAMILY=bsd ARCH=x86 BUILDARCH=amd64 LIBARCH=amd64
> HOTSPOT_RELEASE_VERSION=19.0-b05 HOTSPOT_BUILD_VERSION=
> JRE_RELEASE_VERSION=1.7.0-
>  internal-arul_2010_10_09_09_21-b00 JvmtiOutDir=bsd_amd64_docs jvmtidocs
> /Users/aruld/soylatte16-i386-1.0.3/bin/javac -g -encoding ascii -source 6
> -target 6 -d bsd_amd64_docs /Users/aruld/bs
>  d-port/hotspot/src/share/vm/prims/jvmtiGen.java
> Generating bsd_amd64_docs/jvmti.html
> /Users/aruld/soylatte16-i386-1.0.3/bin/java -classpath bsd_amd64_docs
> jvmtiGen -IN /Users/aruld/bsd-port/hotspot/src/
>  share/vm/prims/jvmti.xml -XSL
> /Users/aruld/bsd-port/hotspot/src/share/vm/prims/jvmti.xsl -OUT
> bsd_amd64_docs/jvmti.html
> make VM_SUBDIR=product                            generic_export
> Makefile:336: target `/Xusage.txt' given more than once in the same rule.
> make[3]: *** No rule to make target
> `/Users/aruld/bsd-port/build/bsd-amd64/hotspot/import/docs/platform/jvmti/jvmti.html',
> need                    ed by `generic_export'.  Stop.
> make[2]: *** [export_product] Error 2
> make[1]: *** [hotspot-build] Error 2
> make: *** [build_product_image] Error 2
>
> testing build: ./build/bsd-amd64/j2sdk-image/bin/java -version
>
> -bash: ./build/bsd-amd64/j2sdk-image/bin/java: No such file or directory
> ------------------------------------------
>
> Any clues as to what I could be missing? I wonder why it does not work just
> for me :-(
>
> -Arul
>
> On Sat, Oct 9, 2010 at 8:48 AM, John Yeary <johnyeary at gmail.com> wrote:
>
>> Hello Arul,
>>
>> Did you get it to build correctly?  Stephen's scripts are similar to the
>> ones on the wiki.
>>
>> Sent from my iPhone
>>
>> On Oct 8, 2010, at 16:22, Stephen Bannasch <
>> stephen.bannasch at deanbrook.org> wrote:
>>
>> > This is how I build a 64-bit version on Mac OS X 10.6.4 -- see update.sh
>> here:
>> >
>> >  http://gist.github.com/617451
>> >
>> > It just built fine and I did not need to comment out treating compiler
>> warnings as errors.
>>
>>
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.openjdk.java.net/pipermail/bsd-port-dev/attachments/20101009/03e30946/attachment.html 


More information about the bsd-port-dev mailing list